﻿using DapperORM.Common.Models;
using PushInfo.Core.Models.Tables;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace PushInfo.Core.IDAL
{
    /// <summary>
    /// 表单表访问层接口
    /// </summary>
    internal interface ITableInfoDAL
    {
        ResultModel<Table_Info> GetModel(Expression<Func<Table_Info, bool>> where = null, Expression<Func<Table_Info, object>> select = null, IDictionary<string, bool> sort = null);

        /// <summary>
        /// 查询集合
        /// </summary>
        /// <param name="where">查询条件</param>
        /// <param name="select">查询字段</param>
        /// <param name="sort">排序</param>
        /// <returns></returns>
        ResultModel<IEnumerable<Table_Info>> GetList(Expression<Func<Table_Info, bool>> where = null, Expression<Func<Table_Info, object>> select = null, IDictionary<string, bool> sort = null);

    }
}
